package com.goldenwater.slaj.hidd.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hidd.domain.BisHiddRectAcce;

/**
 * 隐患治理验收 数据层
 */
@Mapper
public interface BisHiddRectAcceMapper {

    /**
     * 查询隐患治理验收信息
     * @param guid 查询条件
     * @return 隐患治理验收信息
     */
    BisHiddRectAcce selectBisHiddRectAcceByGuid(String guid);

    /**
     * 查询隐患治理验收列表
     * @param bisHiddRectAcce 隐患治理验收查询条件
     * @return 隐患治理验收集合
     */
    List<BisHiddRectAcce> selectBisHiddRectAcceList(BisHiddRectAcce bisHiddRectAcce);

    /**
     * 新增隐患治理验收
     * @param bisHiddRectAcce 隐患治理验收信息
     * @return 影响行数
     */
    int insertBisHiddRectAcce(BisHiddRectAcce bisHiddRectAcce);

    /**
     * 修改隐患治理验收
     * @param bisHiddRectAcce 隐患治理验收信息
     * @return 影响行数
     */
    int updateBisHiddRectAcce(BisHiddRectAcce bisHiddRectAcce);

    /**
     * 删除隐患治理验收
     * @param guid 隐患治理验收主键
     * @return 影响行数
     */
    int deleteBisHiddRectAcceByGuid(String guid);

    /**
     * 批量删除隐患治理验收
     * @param guids 隐患治理验收主键数组
     * @return 影响行数
     */
    int deleteBisHiddRectAcceByGuids(String[] guids);
}
